#include "LibNg112_EncdecDeclarations.hh"

#include "json_codec.hh"

#include "loggers.hh"

namespace LibNg112__EncdecDeclarations { // TODO File to be removed

/*  BITSTRING enc__DequeueRegistrationRequest(const LibNg112__DequeueRegistration::DequeueRegistrationRequest& p) {
    loggers::get_instance().log_msg(">>> enc__DequeueRegistrationRequest: ", (const Base_Type&)p);

    OCTETSTRING os;
    json_codec codec;
    codec.encode(p, os);

    return oct2bit(os);
  }

  INTEGER dec__DequeueRegistrationRequest(BITSTRING& pdu, LibNg112__DequeueRegistration::DequeueRegistrationRequest& p) {
    loggers::get_instance().log_msg(">>> dec__DequeueRegistrationRequest: ", pdu);

    OCTETSTRING os = bit2oct(pdu);
    json_codec codec;
    codec.decode(os, p);

    return 0;
  }

  BITSTRING enc__DequeueRegistrationResponse(const LibNg112__DequeueRegistration::DequeueRegistrationResponse& p) {
    loggers::get_instance().log_msg(">>> enc__DequeueRegistrationResponse: ", (const Base_Type&)p);

    OCTETSTRING os;
    json_codec codec;
    codec.encode(p, os);

    return oct2bit(os);
  }

  INTEGER dec__DequeueRegistrationResponse(BITSTRING& pdu, LibNg112__DequeueRegistration::DequeueRegistrationResponse& p) {
    loggers::get_instance().log_msg(">>> dec__DequeueRegistrationResponse: ", pdu);

    OCTETSTRING os = bit2oct(pdu);
    json_codec codec;
    codec.decode(os, p);

    return 0;
  }

  BITSTRING enc__ServiceStatePayload(const LibNg112__SubscriptionPayloads::ServiceStatePayload& p) {
    loggers::get_instance().log_msg(">>> enc__ServiceStatePayload: ", (const Base_Type&)p);

    OCTETSTRING os;
    json_codec codec;
    codec.encode(p, os);

    return oct2bit(os);
  }

  INTEGER dec__ServiceStatePayload(BITSTRING& pdu, LibNg112__SubscriptionPayloads::ServiceStatePayload& p) {
    loggers::get_instance().log_msg(">>> dec__ServiceStatePayload: ", pdu);

    OCTETSTRING os = bit2oct(pdu);
    json_codec codec;
    codec.decode(os, p);

    return 0;
  }

  BITSTRING enc__ElementStatePayload(const LibNg112__SubscriptionPayloads::ElementStatePayload& p) {
    loggers::get_instance().log_msg(">>> enc__ElementStatePayload: ", (const Base_Type&)p);

    OCTETSTRING os;
    json_codec codec;
    codec.encode(p, os);

    return oct2bit(os);
  }

  INTEGER dec__ElementStatePayload(BITSTRING& pdu, LibNg112__SubscriptionPayloads::ElementStatePayload& p) {
    loggers::get_instance().log_msg(">>> dec__ElementStatePayload: ", pdu);

    OCTETSTRING os = bit2oct(pdu);
    json_codec codec;
    codec.decode(os, p);

    return 0;
  }

  BITSTRING enc__SecurityPosturePayload(const LibNg112__SubscriptionPayloads::SecurityPosturePayload& p) {
    loggers::get_instance().log_msg(">>> enc__SecurityPosturePayload: ", (const Base_Type&)p);

    OCTETSTRING os;
    json_codec codec;
    codec.encode(p, os);

    return oct2bit(os);
  }

  INTEGER dec__SecurityPosturePayload(BITSTRING& pdu, LibNg112__SubscriptionPayloads::SecurityPosturePayload& p) {
    loggers::get_instance().log_msg(">>> dec__QueueStdec__SecurityPosturePayloadtePayload: ", pdu);

    OCTETSTRING os = bit2oct(pdu);
    json_codec codec;
    codec.decode(os, p);

    return 0;
  }

  BITSTRING enc__QueueStatePayload(const LibNg112__SubscriptionPayloads::QueueStatePayload& p) {
    loggers::get_instance().log_msg(">>> enc__QueueStatePayload: ", (const Base_Type&)p);

    OCTETSTRING os;
    json_codec codec;
    codec.encode(p, os);

    return oct2bit(os);
  }

  INTEGER dec__QueueStatePayload(BITSTRING& pdu, LibNg112__SubscriptionPayloads::QueueStatePayload& p) {
    loggers::get_instance().log_msg(">>> dec__QueueStatePayload: ", pdu);

    OCTETSTRING os = bit2oct(pdu);
    json_codec codec;
    codec.decode(os, p);

    return 0;
  }
*/
} // End of namespace LibNg112__EncdecDeclarations

